#include "..\Precomp.h"
#include <time.h>

int WINAPI WinMain(HINSTANCE hInst, HINSTANCE, PSTR, int)
{ InitGame();
  g_Win.Init(hInst);
  g_Win.CreateWnd(320, 240, false, true);
  ::SetWindowText(g_Win.hWnd, GAMETITLE _T(" v. ") GAMEVER);
  if(g_Sys.InitGraphics()) goto BadGraph;
  if(g_Sys.InitInput()) goto BadInput;
  g_Fonter.Init(&g_DD, &g_VFS);
  g_Fonter.LoadFont("font.fon", &g_Font);

  Player *me;
  me=NEW Player;
  me->Name="Adam";
  me->Ship.Pos = Vector<FLOAT>(50, 200);
  me->Ship.SetWeps(WT_DEFGUN, WT_DEFSPEC);
  g_World.Load("fore.pcx", "back.pcx");
  g_World.AddPlayer(me);
  g_World.SetMe(me);
  //if(g_World.LoadNet("204.210.31.102", "Adam")) g_Win.Quit();

  g_DD.InitAlpha(g_World.Palette);

  g_World.SetTiming();
  while(g_Win.Pump())
  { g_World.DoTicks();
    if(g_Win.bFocus)
    { g_World.Render();
      g_Sys.FlipScreen();
    }
    else if(!g_Win.WaitMsg()) break;
  }
  
  g_Sys.DeinitInput();
  BadInput:
  g_Sys.DeinitGraphics();
  BadGraph:
  g_Win.DestroyWnd();
  g_AmmoFact.Deinit();
  return 0;
}
