#ifndef CLIENT_H_INC
#define CLIENT_H_INC

#include "Messages.h"
#include <dplay8.h>

enum
{ NC_SENDGUAR=DPNSEND_GUARANTEED, NC_SENDNOSEQ=DPNSEND_NONSEQUENTIAL
};

class NetClient
{ public:
    NetClient();
   ~NetClient();

    int   Init(MSGCALL call);
    int   Send(NetMsg *, DWORD flags=0, DWORD msTimeout=0, DPNHANDLE *hand=NULL);

    int   Connect(const char *ip);
    void  Disconnect();

    IDirectPlay8Client *pDPC;
    MSGCALL             Call;

    static HRESULT WINAPI Handler(PVOID, DWORD, PVOID);
};

#endif
